Package fr.gouv.vitam.common.database.builder.query.action

# Class IncAction

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.Action
fr.gouv.vitam.common.database.builder.query.action.IncAction

Direct Known Subclasses:
  `IncAction`, `MaxAction`, `MinAction`

public class IncAction extends Action
Inc Action: $inc : { name : value }

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `currentAction, currentObject, currentUPDATEACTION, ready`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IncAction()`
  ``
  `IncAction(String variableName)`
  Inc Action constructor from variable name only (value to 1)
  ``
  `IncAction(String variableName, long value)`
  Inc Action constructor

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `clean, createActionValueArrayVariable, createActionVariables, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, getCurrentAction, getCurrentObject, getUPDATEACTION, isReady, setReady, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IncAction

    protected IncAction()

  - ### IncAction

    public IncAction(String variableName, long value) throws InvalidCreateOperationException
    Inc Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### IncAction

    public IncAction(String variableName) throws InvalidCreateOperationException
    Inc Action constructor from variable name only (value to 1)
    Parameters:
      `variableName` - key name
    Throws:
      `InvalidCreateOperationException` - when query is invalid